﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 05/06/2019 12:04:24
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS opcion1;

CREATE DATABASE IF NOT EXISTS opcion1
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE opcion1;

--
-- Create table `socio`
--
CREATE TABLE IF NOT EXISTS socio (
  cod_socio varchar(5) NOT NULL,
  PRIMARY KEY (cod_socio)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `ejemplar`
--
CREATE TABLE IF NOT EXISTS ejemplar (
  cod_ejemplar varchar(10) NOT NULL,
  PRIMARY KEY (cod_ejemplar)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `presta`
--
CREATE TABLE IF NOT EXISTS presta (
  ejemplar varchar(10) NOT NULL,
  socio varchar(5) NOT NULL,
  fecha_i date DEFAULT NULL,
  fecha_f date DEFAULT NULL,
  PRIMARY KEY (ejemplar, socio)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE presta
ADD CONSTRAINT fkprestaejemplar FOREIGN KEY (ejemplar)
REFERENCES ejemplar (cod_ejemplar);

--
-- Create foreign key
--
ALTER TABLE presta
ADD CONSTRAINT fkprestasocio FOREIGN KEY (socio)
REFERENCES socio (cod_socio);

-- 
-- Dumping data for table socio
--
INSERT INTO socio VALUES
('dos'),
('uno');

-- 
-- Dumping data for table ejemplar
--
INSERT INTO ejemplar VALUES
('quijote'),
('titanic');

-- 
-- Dumping data for table presta
--
INSERT INTO presta VALUES
('quijote', 'dos', NULL, NULL),
('quijote', 'uno', NULL, NULL),
('titanic', 'uno', NULL, NULL);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;